id: admiralcloud-detect

info:
  name: AdmiralCloud - Detect
  author: righettod
  severity: info
  description: |
    AdmiralCloud was detected.
  reference:
    - https://www.admiralcloud.com/en/
  metadata:
    verified: true
    max-request: 1
    shodan-query: http.title:"AdmiralCloud"
  tags: tech,admiralcloud,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    redirects: true
    max-redirects: 2
    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_any(to_lower(body), "content=\"admiralcloud", "<title>admiralcloud")'
        condition: and

    extractors:
      - type: regex
        part: body
        group: 1
        regex:
          - '\s+([0-9\.]+)</title>'
# digest: 4b0a00483046022100a540e7113de7064d7e443c2eb30a7516cf1361fb82aef1d9bfb206897bd3136c0221009580f61c9f362c58770fc4a3c2ec0b5adce77d801f0a57a21a90173cd71822ec:922c64590222798bb761d5b6d8e72950